> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shareable Link Media

> Retrieves all media items (from direct links and folders) associated with a shareable link with pagination, filtering, and sorting



## OpenAPI

````yaml /swagger/dam-api.json get /api/v1/{app_id}/shareable-links/{token}/media
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API Support
  description: This is the swagger for Enads Digital Assets Management service
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms
  title: Digital Assets Management
  version: '1.0'
servers:
  - url: //dam.enad.io
security: []
paths:
  /api/v1/{app_id}/shareable-links/{token}/media:
    get:
      tags:
        - Shareable Links
      summary: Get Shareable Link Media
      description: >-
        Retrieves all media items (from direct links and folders) associated
        with a shareable link with pagination, filtering, and sorting
      parameters:
        - description: Shareable Link Token
          in: path
          name: token
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 20, max: 100)'
          in: query
          name: per_page
          schema:
            type: integer
        - description: 'Filter by type: image, video, file, all (default: all)'
          in: query
          name: type
          schema:
            type: string
        - description: 'Sort field: name, created_at, updated_at, type (default: created_at)'
          in: query
          name: sort_by
          schema:
            type: string
        - description: 'Sort order: asc, desc (default: desc)'
          in: query
          name: sort_order
          schema:
            type: string
        - description: >-
            Filter by attribute(s). Repeat the query parameter once per filter,
            each in the form template_key/attribute_key. Example:
            ?attributes=color/red&attributes=size/large
          in: query
          name: attributes
          explode: true
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: Shareable link media retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseShareableLinkMedia'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Shareable link not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    OkResponseShareableLinkMedia:
      properties:
        data:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.MediaItemResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.PageInfo'
        success:
          type: boolean
      type: object
    ErrorResponse:
      properties:
        details:
          items:
            type: string
          type: array
        error:
          type: string
      type: object
    internal_pkg_webserver_v1.MediaItemResponse:
      properties:
        alt_text:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/AttributeResponse'
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        created_at:
          type: string
        custom:
          items:
            type: integer
          type: array
        description:
          type: string
        file_type:
          type: string
        folder:
          $ref: '#/components/schemas/FolderRef'
        id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          additionalProperties:
            type: string
          type: object
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/VideoVariantResponse'
          type: array
      type: object
    internal_pkg_webserver_v1.PageInfo:
      properties:
        page:
          type: integer
        per_page:
          type: integer
        total_items:
          type: integer
        total_pages:
          type: integer
      type: object
    AttributeResponse:
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueResponse'
            type: array
          type: object
      type: object
    FolderRef:
      properties:
        id:
          type: string
        name:
          type: string
        public:
          type: boolean
        slug:
          type: string
      type: object
    VideoVariantResponse:
      properties:
        created_at:
          type: string
        format:
          type: string
        height:
          type: integer
        id:
          type: string
        updated_at:
          type: string
        url:
          type: string
        width:
          type: integer
      type: object
    AttributeValueResponse:
      properties:
        type:
          type: string
        value:
          type: string
      type: object

````